﻿Public Class Form1

    Private comprobante, keyPEM, cerPEM As String
    Private ofd As OpenFileDialog

    Public Sub New()
        InitializeComponent()
        comprobante = ""
        keyPEM = ""
        cerPEM = ""
        ofd = New OpenFileDialog()
    End Sub

    Private Sub button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button2.Click
        If (ofd.ShowDialog() = System.Windows.Forms.DialogResult.OK) Then
            textBox2.Text = ofd.FileName
            comprobante = System.IO.File.ReadAllText(textBox2.Text)
            textBox1.Text = comprobante
            comprobante = System.Convert.ToBase64String(System.IO.File.ReadAllBytes(textBox2.Text))
        End If
    End Sub

    Private Sub button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button3.Click
        If (ofd.ShowDialog() = System.Windows.Forms.DialogResult.OK) Then
            textBox4.Text = ofd.FileName
            keyPEM = System.IO.File.ReadAllText(textBox4.Text)
            textBox1.Text = keyPEM
        End If
    End Sub

    Private Sub button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button4.Click
        If ofd.ShowDialog() = System.Windows.Forms.DialogResult.OK Then
            textBox5.Text = ofd.FileName
            cerPEM = System.IO.File.ReadAllText(textBox5.Text)
            textBox1.Text = cerPEM
        End If
    End Sub

    Private Sub button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button1.Click
        Dim cliente As wsFacturaloPlus.ServicioTimbradoWSPortTypeClient
        cliente = New wsFacturaloPlus.ServicioTimbradoWSPortTypeClient()

        Dim res As wsFacturaloPlus.RespuestaTimbrado
        res = cliente.timbrarTXT2(textBox3.Text, comprobante, keyPEM, cerPEM, textBox6.Text, "NULL")
        'NOTA: se envía "NULL" como último parámetro en caso de no usar logo en el PDF, en 
        '      caso contrario se debe enviar un string en Base64 de una imaten .png 

        textBox1.Text = "code: " & res.code & vbCrLf &
            "message: " + res.message & vbCrLf &
            "data: " + res.data
    End Sub
End Class
